function  [se, yp] = getep(Mix, pchns, ww)
global TIME DATA

if nargin==1, pchns = 1; end
if pchns==1, cchns = 2; else, cchns=1; end

ndat  = size(DATA,2);
pchns = 1;                               % predicted channel
cchns = 2;                               % channels in condition

pMix  = mix2pro(Mix, pchns, cchns);      % predictor
yp    = zeros(1, ndat);

for TIME = Mix.states.maxtd+1:ndat                      % getting prediction trajectory
   [Eths, coves, dfcs, wgs] = profix(pMix); % prediction
   if nargin<3, 
      yp(:,TIME) = Eths * dfcs';
   else
      yp(:,TIME) = Eths * wgs';
   end
end

dd    = DATA(pchns,:);
ep  = dd-yp;
sy = std(dd');
er = sqrt(sum((ep.^2)')/(ndat-1));
se = er./sy;
